using System; 
using System.Collections; 
using Server.Items;


namespace Server.Mobiles 
{ 
	public class SBEthy : SBInfo
	{ 
		private ArrayList m_BuyInfo = new InternalBuyInfo(); 
		private IShopSellInfo m_SellInfo = new InternalSellInfo(); 

		public SBEthy()
		{ 
		} 

		public override IShopSellInfo SellInfo { get { return m_SellInfo; } } 
		public override ArrayList BuyInfo { get { return m_BuyInfo; } } 

		public class InternalBuyInfo : ArrayList 
		{ 
			public InternalBuyInfo() 
			{ 

	/*Ethy's*/
	Add( new GenericBuyInfo( "Ethereal Unicorn",typeof( EtherealUnicorn ), 300000, 20, 9678, 0 ) ); 
	Add( new GenericBuyInfo( "Ethereal Swamp Dragon",typeof( EtherealSwampDragon ), 300000, 20, 9753, 0 ) ); 
	Add( new GenericBuyInfo( "Ethereal Ridgeback",typeof( EtherealRidgeback ), 300000, 20, 9749, 0 ) ); 
	Add( new GenericBuyInfo( "Ethereal Ostard",typeof( EtherealOstard ), 300000, 20, 8501, 0 ) ); 
	Add( new GenericBuyInfo( "Ethereal Llama",typeof( EtherealLlama ), 300000, 20, 8438, 0 ) ); 
	Add( new GenericBuyInfo( "Ethereal Kirin",typeof( EtherealKirin ), 300000, 20, 9632, 0 ) ); 
	Add( new GenericBuyInfo( "Ethereal Horse",typeof( EtherealHorse ), 300000, 20, 8413, 0 ) );
	Add( new GenericBuyInfo( "Ethereal Beetle",typeof( EtherealBeetle ), 300000, 20, 9743, 0 ) );                 
            }
		} 

		public class InternalSellInfo : GenericSellInfo 
		{ 
			public InternalSellInfo() 
			{ 
				
            }
		} 
	} 
}
